Skip to main content
GET
/
environment
/
{environmentId}
/
deploymentHistory
List environment deployments
curl --request GET \
  --url https://api.qovery.com/environment/{environmentId}/deploymentHistory \
  --header 'Authorization: Bearer <token>'
{
  "page": 1,
  "page_size": 20,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "status": "BUILDING",
      "origin": "API",
      "triggered_by": "<string>",
      "applications": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "commit": {
            "created_at": "2023-11-07T05:31:56Z",
            "git_commit_id": "<string>",
            "tag": "v2.1.1",
            "message": "<string>",
            "author_name": "<string>",
            "author_avatar_url": "<string>",
            "commit_page_url": "<string>"
          },
          "status": "BUILDING"
        }
      ],
      "containers": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "status": "BUILDING",
          "image_name": "<string>",
          "tag": "<string>",
          "arguments": [
            "<string>"
          ],
          "entrypoint": "<string>"
        }
      ],
      "databases": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "status": "BUILDING"
        }
      ],
      "jobs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "status": "BUILDING",
          "image_name": "<string>",
          "tag": "<string>",
          "commit": {
            "created_at": "2023-11-07T05:31:56Z",
            "git_commit_id": "<string>",
            "tag": "v2.1.1",
            "message": "<string>",
            "author_name": "<string>",
            "author_avatar_url": "<string>",
            "commit_page_url": "<string>"
          },
          "schedule": {
            "event": "ON_START",
            "schedule_at": "<string>"
          },
          "arguments": [
            "<string>"
          ],
          "entrypoint": "<string>"
        }
      ],
      "helms": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "status": "BUILDING",
          "commit": {
            "created_at": "2023-11-07T05:31:56Z",
            "git_commit_id": "<string>",
            "tag": "v2.1.1",
            "message": "<string>",
            "author_name": "<string>",
            "author_avatar_url": "<string>",
            "commit_page_url": "<string>"
          },
          "repository": {
            "chart_name": "<string>",
            "chart_version": "<string>"
          }
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Query Parameters

startId
string<uuid>

Starting point after which to return results

Response

List deployment history

page
number
required
Example:

1

page_size
number
required
Example:

20

results
object[]